package com.yidianling.user.mine.data

/**
 * author : Zhangwenchao
 * e-mail : zhangwch@yidianling.com
 * time   : 2018/04/26
 */
interface AppLocal {

    // 获取红包时间
    fun getRedPocketTime(): Long

    // 储存红包时间
    fun putRedPocketTime(time: Long)

    // 是否又版本更新
    fun hasUpdate(): Boolean

    fun putUpdate(update: Boolean)

    fun getCoupon(): Boolean

    fun setCoupon(have: Boolean)

    fun getConsult(): Boolean

    fun setConsult(have: Boolean)

    fun getConsultNum(): Int

    fun setConsultNum(num: Int)

    fun getConfide(): Boolean

    fun setConfide(have: Boolean)

}